Bug 57221 - Aggregate Graph : Bad display of Graph under Java 7u71 up to Java 8u25 due to bug JDK-8065373
Summary: Aggregate Graph : Bad display of Graph under Java 7u71 up to Java 8u25 due to...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.12
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-15 21:41 UTC by UbikLoadPack support
Modified: 2015-06-13 20:53 UTC (History)
1 user (show)



Attachments
Shows bug (235.84 KB, image/png)
2014-11-15 21:41 UTC, UbikLoadPack support
Details

Note You need to log in before you can comment on or make changes to this bug.
Description UbikLoadPack support 2014-11-15 21:41:23 UTC
Created attachment 32207 [details]
Shows bug

Hello,
We noticed a really annoying bug under Java 8 only with Aggregate Graph.
As you can see on screenshot:
- There is a kind of mirror effect on values
- Position of legends is wrong as long as values

Regards
@ubikloadpack
Comment 1 UbikLoadPack support 2014-11-15 21:52:26 UTC
Note issue affects version 2.10 and 2.11
Comment 2 Philippe Mouawad 2014-11-19 19:12:08 UTC
See:
https://bugs.openjdk.java.net/browse/JDK-8065373

Workaround is to downgrade to JDK7u40.
Comment 3 Philippe Mouawad 2014-12-27 14:59:07 UTC
Fixed in JDK 9:
https://bugs.openjdk.java.net/browse/JDK-8065373
Comment 4 Philippe Mouawad 2015-06-13 20:53:02 UTC
Date: Sat Jun 13 20:52:34 2015
New Revision: 1685331

URL: http://svn.apache.org/r1685331
Log:
Bug 57221 - Aggregate Graph : Bad display of Graph under Java 7u71 up to Java 8u25 due to bug JDK-8065373
Bugzilla Id: 57221

Modified:
    jmeter/trunk/xdocs/changes.xml